Skip to main content
GET
/
v1
/
get-order
/
{id}
Get all orders for a specific ID.
curl --request GET \
  --url https://gateway-api-mainnet.gobob.xyz/v1/get-order/{id}
{
  "dstInfo": {
    "amount": "<string>",
    "chain": "<string>",
    "token": "<string>",
    "txHash": "<string>"
  },
  "id": "<string>",
  "srcInfo": {
    "amount": "<string>",
    "chain": "<string>",
    "token": "<string>",
    "txHash": "<string>"
  },
  "status": {
    "inProgress": {
      "bump_fee_tx": {
        "chain": "<string>",
        "data": "<string>",
        "to": "<string>",
        "value": "<string>"
      },
      "refund_tx": {
        "chain": "<string>",
        "data": "<string>",
        "to": "<string>",
        "value": "<string>"
      }
    }
  },
  "timestamp": 123,
  "estimatedTimeInSecs": 1
}

Path Parameters

id
string
required

Order identifier: either the order_id returned by create-order, the source Bitcoin transaction ID , or the source EVM transaction hash

Response

Get order by either the order_id returned by create-order, the source Bitcoin transaction ID , or the source EVM transaction hash

Gateway order info

dstInfo
object
required
id
string
required
srcInfo
object
required
status
required
timestamp
integer<int64>
required
estimatedTimeInSecs
integer<int64> | null
Required range: x >= 0